<?php

session_start();

date_default_timezone_set('America/Lima');

if (PHP_SAPI == 'cli')

  die('Se visualiza solamente desde un navegador.');

/** Include PHPExcel */

require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';

require_once ("../../config/Cado.php");



require_once ("../../app/cajageneral_cst/cCajageneral_cst.php");

$oCajageneral_cst = new cCajageneral_cst();



require_once ("../../app/formatos/formato.php");





$fecha1 = '01-'.$_GET['desde'].'-'.$_GET['anio'];

$fecha2 = '31-'.$_GET['hasta'].'-'.$_GET['anio'];



$dts1=$oCajageneral_cst->mostrar_filtroingresos_agrupado($_GET['cajid'],fecha_mysql($fecha1),fecha_mysql($fecha2));

$num_rows= mysql_num_rows($dts1);





$objPHPExcel = new PHPExcel();

$objPHPExcel->getProperties()->setCreator("")

->setLastModifiedBy("infosisperu.com.pe")

->setTitle("Reporte generado por infoisperu.com.pe")

->setSubject("Reporte")

->setDescription("")

->setKeywords("")

->setCategory("reporte excel infosisperu");

$objPHPExcel->setActiveSheetIndex(0);

$c=1;

$estiloTituloColumnas = array(

  'font' => array(

    'name'  => 'Arial',

    'bold'  => true,

    'size'  =>8,

    'color' => array(

      'rgb' => 'ffffff'

      )

    ),

  'fill' => array(

    'type'  => PHPExcel_Style_Fill::FILL_SOLID,

    'color' => array(

      'rgb' => '00695c')

    ),

  'borders' => array(

    'outline' => array(

      'style' => PHPExcel_Style_Border::BORDER_THIN ,

      'color' => array(

        'rgb' => '143860'

        )

      )

    ),

  'alignment' =>  array(

    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,

    'wrap'      => TRUE

    )

  );

 

 

   $estiloTotales = array(

  'font' => array(

    'name'  => 'Arial',

    'bold'  => true,

    'size'  =>8,

    'color' => array(

      'rgb' => 'FFFFFF'

      )

    ),



  'fill' => array(

    'type'  => PHPExcel_Style_Fill::FILL_SOLID,

    'color' => array(

      'rgb' => '0d47a1')

    ),



  'borders' => array(

    'outline' => array(

      'style' => PHPExcel_Style_Border::BORDER_THIN ,

      'color' => array(

        'rgb' => '143860'

        )

      )

    ),



  'alignment' =>  array(

    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,

    'wrap'      => TRUE

    )

  );



  $estiloTotal = array(

  'font' => array(

    'name'  => 'Arial',

    'bold'  => true,

    'size'  =>8,

    'color' => array(

      'rgb' => 'FFFFFF'

      )

    ),



  'fill' => array(

    'type'  => PHPExcel_Style_Fill::FILL_SOLID,

    'color' => array(

      'rgb' => 'FF8800')

    ),



  'borders' => array(

    'outline' => array(

      'style' => PHPExcel_Style_Border::BORDER_THIN ,

      'color' => array(

        'rgb' => '143860'

        )

      )

    ),



  'alignment' =>  array(

    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,

    'wrap'      => TRUE

    )

  ); 

  

  $estiloTitulo = array(

  'font' => array(

    'name'  => 'Arial',

    'bold'  => true,

    'size'  =>8,

    'color' => array(

      'rgb' => 'FFFFFF'

      )

    ),



  'fill' => array(

    'type'  => PHPExcel_Style_Fill::FILL_SOLID,

    'color' => array(

      'rgb' => '00695c')

    ),



  'borders' => array(

    'outline' => array(

      'style' => PHPExcel_Style_Border::BORDER_THIN ,

      'color' => array(

        'rgb' => '143860'

        )

      )

    ),



  'alignment' =>  array(

    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,

    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,

    'wrap'      => TRUE

    )

  );



 

$titulosColumnas = array(

	'PARTIDA',

	'DESCRIPCION',

	'ENERO',

	'FEBRERO',

	'MARZO',

	'ABRIL',

	'MAYO',

	'JUNIO',

	'JULIO',

	'AGOSTO',

	'SEPTIEMBRE',

	'OCTUBRE',

	'NOVIEMBRE',

	'DICIEMBRE'

    );

 

 /*  for( $i= $_GET['desde']; $i <= $_GET['hasta'];$i++){

	$i   = $i * 1;

	

	if($i == '1'){		

		$titulosColumnas[]='ENERO';

	}else if($i == '2'){

		$titulosColumnas[]='FEBRERO';

	}else if($i == '3'){

		$titulosColumnas[]='MARZO';

	}else if($i == '4'){

		$titulosColumnas[]='ABRIL';

	}else if($i == '5'){

		$titulosColumnas[]='MAYO';

	}else if($i == '6'){

		$titulosColumnas[]='JUNIO';

	}else if($i == '7'){

		$titulosColumnas[]='JULIO';

	}else if($i == '8'){

		$titulosColumnas[]='AGOSTO';

	}else if($i == '9'){

		$titulosColumnas[]='SEPTIEMBRE';

	}else if($i == '10'){

		$titulosColumnas[]='OCTUBRE';

	}else if($i == '11'){

		$titulosColumnas[]='NOVIEMBRE';

	}else if($i == '12'){

		$titulosColumnas[]='DICIEMBRE';

	}



	} */

	

	

	  $objPHPExcel->getActiveSheet(0)

			->setCellValue('A'.$c, 'INGRESOS')

			->setCellValue('B'.$c, '')    

			->setCellValue('C'.$c, '' )

			->setCellValue('D'.$c, '')

			->setCellValue('E'.$c, '')

			->setCellValue('F'.$c, '' )

			->setCellValue('G'.$c, '' )

			->setCellValue('H'.$c, '' )

			->setCellValue('I'.$c, '')

			->setCellValue('J'.$c, '')

			->setCellValue('K'.$c, '' )

			->setCellValue('L'.$c, '' )

			->setCellValue('M'.$c, '' )

			->setCellValue('N'.$c, '' );		

		

		$objPHPExcel->getActiveSheet()->getStyle("A$c:N$c")->applyFromArray($estiloTitulo);

		

		$c=$c+1;

		



  $letras = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');

  $letracolumn = 0;

  for ($i=0; $i < count($titulosColumnas) ; $i++) { 

    $letracolumn = $i;

    $objPHPExcel->getActiveSheet()->setCellValue($letras[$i].$c, $titulosColumnas[$i]);

  }

  $objPHPExcel->getActiveSheet()->getStyle("A$c:".$letras[$letracolumn]."$c")->applyFromArray($estiloTituloColumnas);

  

  	

for($z = 'A'; $z <= 'N'; $z++){

  $objPHPExcel->getActiveSheet()->getColumnDimension($z)->setAutoSize(TRUE);

}

  

 

  

  

	$dts1=$oCajageneral_cst->mostrar_filtroingresos_agrupado($_GET['cajid'],fecha_mysql($fecha1),fecha_mysql($fecha2));

		$num_rows= mysql_num_rows($dts1);

			

		if($num_rows>0){

		 $c=$c+1;

		 

		while($dt1 = mysql_fetch_array($dts1))

		{

		

		$dts1des=$oCajageneral_cst->mostrar_filtroingresos_desagrupado($_GET['cajid'],fecha_mysql($fecha1),fecha_mysql($fecha2),

		$dt1['tb_cuenta_id']);

		$num_rowsdes= mysql_num_rows($dts1des);

		while($dt1des = mysql_fetch_array($dts1des))

		{

			



	$fec1 = '01-01-'.$_GET['anio'];

	$fec2 = '31-01-'.$_GET['anio'];			

	$dtsene=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtene = mysql_fetch_array($dtsene);

	$dttotmesene = $dtene['tot'];

	

	$fec1 = '01-02-'.$_GET['anio'];

	$fec2 = '31-02-'.$_GET['anio'];			

	$dtsfeb=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtfeb = mysql_fetch_array($dtsfeb);

	$dttotmesfeb = $dtfeb['tot'];

	

	$fec1 = '01-03-'.$_GET['anio'];

	$fec2 = '31-03-'.$_GET['anio'];			

	$dtsmar=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtmar = mysql_fetch_array($dtsmar);

	$dttotmesmar = $dtmar['tot'];

	

	$fec1 = '01-04-'.$_GET['anio'];

	$fec2 = '31-04-'.$_GET['anio'];			

	$dtsabr=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtabr = mysql_fetch_array($dtsabr);

	$dttotmesabr = $dtabr['tot'];

	

	$fec1 = '01-05-'.$_GET['anio'];

	$fec2 = '31-05-'.$_GET['anio'];			

	$dtsmay=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtmay = mysql_fetch_array($dtsmay);

	$dttotmesmay = $dtmay['tot'];

	

	$fec1 = '01-06-'.$_GET['anio'];

	$fec2 = '31-06-'.$_GET['anio'];			

	$dtsjun=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtjun = mysql_fetch_array($dtsjun);

	$dttotmesjun = $dtjun['tot'];

	

	$fec1 = '01-07-'.$_GET['anio'];

	$fec2 = '31-07-'.$_GET['anio'];			

	$dtsjul=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtjul = mysql_fetch_array($dtsjul);

	$dttotmesjul = $dtjul['tot'];

		 

			

	$fec1 = '01-08-'.$_GET['anio'];

	$fec2 = '31-08-'.$_GET['anio'];			

	$dtsago=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtago = mysql_fetch_array($dtsago);		

	$dttotmesago = $dtago['tot'];

			

			

	$fec1 = '01-09-'.$_GET['anio'];

	$fec2 = '31-09-'.$_GET['anio'];			

	$dtssep=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtsep = mysql_fetch_array($dtssep);

	$dttotmessep = $dtsep['tot'];



	$fec1 = '01-10-'.$_GET['anio'];

	$fec2 = '31-10-'.$_GET['anio'];			

	$dtsoct=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtoct = mysql_fetch_array($dtsoct);

	$dttotmesoct = $dtoct['tot'];



	$fec1 = '01-11-'.$_GET['anio'];

	$fec2 = '31-11-'.$_GET['anio'];			

	$dtsnov=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtnov = mysql_fetch_array($dtsnov);

	$dttotmesnov = $dtnov['tot'];



	$fec1 = '01-12-'.$_GET['anio'];

	$fec2 = '31-12-'.$_GET['anio'];			

	$dtsdic=$oCajageneral_cst->mostrar_filtroingresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_ingreso_det']);

	$dtdic = mysql_fetch_array($dtsdic);	 

	$dttotmesdic = $dtdic['tot'];

			

			

		$objPHPExcel->getActiveSheet(0)

			->setCellValue('A'.$c, $dt1des['tb_cuenta_nom'])

			->setCellValue('B'.$c, $dt1des['tb_ingreso_det'])    

			->setCellValue('C'.$c, formato_money($dttotmesene) )

			->setCellValue('D'.$c, formato_money($dttotmesfeb) )

			->setCellValue('E'.$c, formato_money($dttotmesmar) )

			->setCellValue('F'.$c, formato_money($dttotmesabr) )

			->setCellValue('G'.$c, formato_money($dttotmesmay) )

			->setCellValue('H'.$c, formato_money($dttotmesjun) )

			->setCellValue('I'.$c, formato_money($dttotmesjul) )

			->setCellValue('J'.$c, formato_money($dttotmesago) )

			->setCellValue('K'.$c, formato_money($dttotmessep) )

			->setCellValue('L'.$c, formato_money($dttotmesoct) )

			->setCellValue('M'.$c, formato_money($dttotmesnov) )

			->setCellValue('N'.$c, formato_money($dttotmesdic) );		

			

			$objPHPExcel->getActiveSheet(0)->getStyle("C$c:N$c")->getNumberFormat()->setFormatCode('0.00');	

			

		$c++;

		

		$totene += $dttotmesene;

		$totmesene += $dttotmesene;

		$totfeb += $dttotmesfeb;

		$totmesfeb += $dttotmesfeb;

		$totmar += $dttotmesmar;

		$totmesmar += $dttotmesmar;

		$totabr += $dttotmesabr;

		$totmesabr += $dttotmesabr;

		$totmay += $dttotmesmay;

		$totmesmay += $dttotmesmay;

		$totjun += $dttotmesjun;

		$totmesjun += $dttotmesjun;

		$totjul += $dttotmesjul;

		$totmesjul += $dttotmesjul;

		$totago += $dttotmesago;

		$totmesago += $dttotmesago;

		$totsep += $dttotmessep;

		$totmessep += $dttotmessep;

		$totoct += $dttotmesoct;

		$totmesoct += $dttotmesoct;

		$totnov += $dttotmesnov;

		$totmesnov += $dttotmesnov;

		$totdic += $dttotmesdic;

		$totmesdic += $dttotmesdic;

		

		}

		

		if($dt1['tb_cuenta_nom']==""){ $cue = 'TOTAL OTROS'; }else { $cue = 'TOTAL '.$dt1['tb_cuenta_nom']; }

				

		$objPHPExcel->getActiveSheet(0)

			->setCellValue('A'.$c, '')

			->setCellValue('B'.$c, $cue)    

			->setCellValue('C'.$c, formato_money($totmesene) )

			->setCellValue('D'.$c, formato_money($totmesfeb) )

			->setCellValue('E'.$c, formato_money($totmesmar) )

			->setCellValue('F'.$c, formato_money($totmesabr) )

			->setCellValue('G'.$c, formato_money($totmesmay) )

			->setCellValue('H'.$c, formato_money($totmesjun) )

			->setCellValue('I'.$c, formato_money($totmesjul) )

			->setCellValue('J'.$c, formato_money($totmesago) )

			->setCellValue('K'.$c, formato_money($totmessep) )

			->setCellValue('L'.$c, formato_money($totmesoct) )

			->setCellValue('M'.$c, formato_money($totmesnov) )

			->setCellValue('N'.$c, formato_money($totmesdic) );		

			$totmesene = 0;

			$totmesfeb = 0;

			$totmesmar = 0;

			$totmesabr = 0;

			$totmesmay = 0;

			$totmesjun = 0;

			$totmesjul = 0;

			$totmesago = 0;

			$totmessep = 0;

			$totmesoct = 0;

			$totmesnov = 0;

			$totmesdic = 0;





		$objPHPExcel->getActiveSheet(0)->getStyle("C$c:N$c")->getNumberFormat()->setFormatCode('0.00');	

		$objPHPExcel->getActiveSheet()->getStyle("A$c:N$c")->applyFromArray($estiloTotales);	 

			 $c = $c +1;

			}

				mysql_free_result($dts1); 

					}

	

  

  

  $objPHPExcel->getActiveSheet(0)

			->setCellValue('A'.$c, '')

			->setCellValue('B'.$c, 'TOTAL')    

			->setCellValue('C'.$c, formato_money($totene) )

			->setCellValue('D'.$c, formato_money($totfeb) )

			->setCellValue('E'.$c, formato_money($totmar) )

			->setCellValue('F'.$c, formato_money($totabr) )

			->setCellValue('G'.$c, formato_money($totmay) )

			->setCellValue('H'.$c, formato_money($totjun) )

			->setCellValue('I'.$c, formato_money($totjul) )

			->setCellValue('J'.$c, formato_money($totago) )

			->setCellValue('K'.$c, formato_money($totsep) )

			->setCellValue('L'.$c, formato_money($totoct) )

			->setCellValue('M'.$c, formato_money($totnov) )

			->setCellValue('N'.$c, formato_money($totdic) );		

  

  

	$objPHPExcel->getActiveSheet(0)->getStyle("C$c:N$c")->getNumberFormat()->setFormatCode('0.00');	

	$objPHPExcel->getActiveSheet()->getStyle("A$c:N$c")->applyFromArray($estiloTotal);	

  

  $c=$c+4;

  

  

	  $objPHPExcel->getActiveSheet(0)

			->setCellValue('A'.$c, 'EGRESOS')

			->setCellValue('B'.$c, '')    

			->setCellValue('C'.$c, '' )

			->setCellValue('D'.$c, '')

			->setCellValue('E'.$c, '')

			->setCellValue('F'.$c, '' )

			->setCellValue('G'.$c, '' )

			->setCellValue('H'.$c, '' )

			->setCellValue('I'.$c, '')

			->setCellValue('J'.$c, '')

			->setCellValue('K'.$c, '' )

			->setCellValue('L'.$c, '' )

			->setCellValue('M'.$c, '' )

			->setCellValue('N'.$c, '' );		

		

		$objPHPExcel->getActiveSheet()->getStyle("A$c:N$c")->applyFromArray($estiloTitulo);

		

		$c=$c+1;

		

  $letras = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z');

  $letracolumn = 0;

  for ($i=0; $i < count($titulosColumnas) ; $i++) { 

    $letracolumn = $i;

    $objPHPExcel->getActiveSheet()->setCellValue($letras[$i].$c, $titulosColumnas[$i]);

  }

  $objPHPExcel->getActiveSheet()->getStyle("A$c:".$letras[$letracolumn]."$c")->applyFromArray($estiloTituloColumnas);

  

  	

for($z = 'A'; $z <= 'N'; $z++){

  $objPHPExcel->getActiveSheet()->getColumnDimension($z)->setAutoSize(TRUE);

}

  

 		

		































































	$dts1=$oCajageneral_cst->mostrar_filtroegresos_agrupado($_GET['cajid'],fecha_mysql($fecha1),fecha_mysql($fecha2));

		$num_rows= mysql_num_rows($dts1);

			

		if($num_rows>0){

		 $c=$c+1;

		 

		while($dt1 = mysql_fetch_array($dts1))

		{

		

		$dts1des=$oCajageneral_cst->mostrar_filtroegresos_desagrupado($_GET['cajid'],fecha_mysql($fecha1),fecha_mysql($fecha2),

		$dt1['tb_cuenta_id']);

		$num_rowsdes= mysql_num_rows($dts1des);

		while($dt1des = mysql_fetch_array($dts1des))

		{

			



	$fec1 = '01-01-'.$_GET['anio'];

	$fec2 = '31-01-'.$_GET['anio'];			

	$dtsene=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtene = mysql_fetch_array($dtsene);

	$dttotmesene = $dtene['tot'];

	

	$fec1 = '01-02-'.$_GET['anio'];

	$fec2 = '31-02-'.$_GET['anio'];			

	$dtsfeb=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtfeb = mysql_fetch_array($dtsfeb);

	$dttotmesfeb = $dtfeb['tot'];

	

	$fec1 = '01-03-'.$_GET['anio'];

	$fec2 = '31-03-'.$_GET['anio'];			

	$dtsmar=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtmar = mysql_fetch_array($dtsmar);

	$dttotmesmar = $dtmar['tot'];

	

	$fec1 = '01-04-'.$_GET['anio'];

	$fec2 = '31-04-'.$_GET['anio'];			

	$dtsabr=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtabr = mysql_fetch_array($dtsabr);

	$dttotmesabr = $dtabr['tot'];

	

	$fec1 = '01-05-'.$_GET['anio'];

	$fec2 = '31-05-'.$_GET['anio'];			

	$dtsmay=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtmay = mysql_fetch_array($dtsmay);

	$dttotmesmay = $dtmay['tot'];

	

	$fec1 = '01-06-'.$_GET['anio'];

	$fec2 = '31-06-'.$_GET['anio'];			

	$dtsjun=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtjun = mysql_fetch_array($dtsjun);

	$dttotmesjun = $dtjun['tot'];

	

	$fec1 = '01-07-'.$_GET['anio'];

	$fec2 = '31-07-'.$_GET['anio'];			

	$dtsjul=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtjul = mysql_fetch_array($dtsjul);

	$dttotmesjul = $dtjul['tot'];

		 

			

	$fec1 = '01-08-'.$_GET['anio'];

	$fec2 = '31-08-'.$_GET['anio'];			

	$dtsago=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtago = mysql_fetch_array($dtsago);		

	$dttotmesago = $dtago['tot'];

			

			

	$fec1 = '01-09-'.$_GET['anio'];

	$fec2 = '31-09-'.$_GET['anio'];			

	$dtssep=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtsep = mysql_fetch_array($dtssep);

	$dttotmessep = $dtsep['tot'];



	$fec1 = '01-10-'.$_GET['anio'];

	$fec2 = '31-10-'.$_GET['anio'];			

	$dtsoct=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtoct = mysql_fetch_array($dtsoct);

	$dttotmesoct = $dtoct['tot'];



	$fec1 = '01-11-'.$_GET['anio'];

	$fec2 = '31-11-'.$_GET['anio'];			

	$dtsnov=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtnov = mysql_fetch_array($dtsnov);

	$dttotmesnov = $dtnov['tot'];



	$fec1 = '01-12-'.$_GET['anio'];

	$fec2 = '31-12-'.$_GET['anio'];			

	$dtsdic=$oCajageneral_cst->mostrar_filtroegresos_desagrupado_totales($_GET['cajid'],fecha_mysql($fec1),

	fecha_mysql($fec2),$dt1des['tb_cuenta_id'],$dt1des['tb_egreso_det']);

	$dtdic = mysql_fetch_array($dtsdic);	 

	$dttotmesdic = $dtdic['tot'];

			

			

		$objPHPExcel->getActiveSheet(0)

			->setCellValue('A'.$c, $dt1des['tb_cuenta_nom'])

			->setCellValue('B'.$c, $dt1des['tb_egreso_det'])    

			->setCellValue('C'.$c, formato_money($dttotmesene) )

			->setCellValue('D'.$c, formato_money($dttotmesfeb) )

			->setCellValue('E'.$c, formato_money($dttotmesmar) )

			->setCellValue('F'.$c, formato_money($dttotmesabr) )

			->setCellValue('G'.$c, formato_money($dttotmesmay) )

			->setCellValue('H'.$c, formato_money($dttotmesjun) )

			->setCellValue('I'.$c, formato_money($dttotmesjul) )

			->setCellValue('J'.$c, formato_money($dttotmesago) )

			->setCellValue('K'.$c, formato_money($dttotmessep) )

			->setCellValue('L'.$c, formato_money($dttotmesoct) )

			->setCellValue('M'.$c, formato_money($dttotmesnov) )

			->setCellValue('N'.$c, formato_money($dttotmesdic) );		

			

			$objPHPExcel->getActiveSheet(0)->getStyle("C$c:N$c")->getNumberFormat()->setFormatCode('0.00');	

			

		$c++;

		

		$totenee += $dttotmesene;

		$totmesene += $dttotmesene;

		$totfebe += $dttotmesfeb;

		$totmesfeb += $dttotmesfeb;

		$totmare += $dttotmesmar;

		$totmesmar += $dttotmesmar;

		$totabre += $dttotmesabr;

		$totmesabr += $dttotmesabr;

		$totmaye += $dttotmesmay;

		$totmesmay += $dttotmesmay;

		$totjune += $dttotmesjun;

		$totmesjun += $dttotmesjun;

		$totjule += $dttotmesjul;

		$totmesjul += $dttotmesjul;

		$totagoe += $dttotmesago;

		$totmesago += $dttotmesago;

		$totsepe += $dttotmessep;

		$totmessep += $dttotmessep;

		$totocte += $dttotmesoct;

		$totmesoct += $dttotmesoct;

		$totnove += $dttotmesnov;

		$totmesnov += $dttotmesnov;

		$totdice += $dttotmesdic;

		$totmesdic += $dttotmesdic;

		

		}

		

		if($dt1['tb_cuenta_nom']==""){ $cue = 'TOTAL OTROS'; }else { $cue = 'TOTAL '.$dt1['tb_cuenta_nom']; }

				

		$objPHPExcel->getActiveSheet(0)

			->setCellValue('A'.$c, '')

			->setCellValue('B'.$c, $cue)    

			->setCellValue('C'.$c, formato_money($totmesene) )

			->setCellValue('D'.$c, formato_money($totmesfeb) )

			->setCellValue('E'.$c, formato_money($totmesmar) )

			->setCellValue('F'.$c, formato_money($totmesabr) )

			->setCellValue('G'.$c, formato_money($totmesmay) )

			->setCellValue('H'.$c, formato_money($totmesjun) )

			->setCellValue('I'.$c, formato_money($totmesjul) )

			->setCellValue('J'.$c, formato_money($totmesago) )

			->setCellValue('K'.$c, formato_money($totmessep) )

			->setCellValue('L'.$c, formato_money($totmesoct) )

			->setCellValue('M'.$c, formato_money($totmesnov) )

			->setCellValue('N'.$c, formato_money($totmesdic) );		

			$totmesene = 0;

			$totmesfeb = 0;

			$totmesmar = 0;

			$totmesabr = 0;

			$totmesmay = 0;

			$totmesjun = 0;

			$totmesjul = 0;

			$totmesago = 0;

			$totmessep = 0;

			$totmesoct = 0;

			$totmesnov = 0;

			$totmesdic = 0;





		$objPHPExcel->getActiveSheet(0)->getStyle("C$c:N$c")->getNumberFormat()->setFormatCode('0.00');	

		$objPHPExcel->getActiveSheet()->getStyle("A$c:N$c")->applyFromArray($estiloTotales);	 

			 $c = $c +1;

			}

				mysql_free_result($dts1); 

					}

	

  

  

  $objPHPExcel->getActiveSheet(0)

			->setCellValue('A'.$c, '')

			->setCellValue('B'.$c, 'TOTAL')    

			->setCellValue('C'.$c, formato_money($totenee) )

			->setCellValue('D'.$c, formato_money($totfebe) )

			->setCellValue('E'.$c, formato_money($totmare) )

			->setCellValue('F'.$c, formato_money($totabre) )

			->setCellValue('G'.$c, formato_money($totmaye) )

			->setCellValue('H'.$c, formato_money($totjune) )

			->setCellValue('I'.$c, formato_money($totjule) )

			->setCellValue('J'.$c, formato_money($totagoe) )

			->setCellValue('K'.$c, formato_money($totsepe) )

			->setCellValue('L'.$c, formato_money($totocte) )

			->setCellValue('M'.$c, formato_money($totnove) )

			->setCellValue('N'.$c, formato_money($totdice) );		

  

  

	$objPHPExcel->getActiveSheet(0)->getStyle("C$c:N$c")->getNumberFormat()->setFormatCode('0.00');	

	$objPHPExcel->getActiveSheet()->getStyle("A$c:N$c")->applyFromArray($estiloTotal);	

  

  

























  

				

				

				

				

				

				

				

				

	

for($z = 'A'; $z <= 'N'; $z++){

  $objPHPExcel->getActiveSheet()->getColumnDimension($z)->setAutoSize(TRUE);

}

			

$objPHPExcel->getActiveSheet()->setTitle('RESULTADOS '.$_GET['anio']);

$nombre_archivo="RESULTADOS ".$_GET['anio'].' '.date('d-m-Y-h:i');

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

header('Content-Disposition: attachment;filename="'.$nombre_archivo.'.xlsx"');

header('Cache-Control: max-age=0');

header('Cache-Control: max-age=1');

header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past

header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified

header ('Cache-Control: cache, must-revalidate'); 

header ('Pragma: public'); 

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');

$objWriter->save('php://output');

exit;

?>

